| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TypeInformationParameter Class Reference

Class xtypes::TypeInformationParameter. More...

`#include <QosPolicies.hpp>`

Inheritance diagram for TypeInformationParameter:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | TypeInformationParameter ()
| Constructor.
FASTDDS_EXPORTED_API | TypeInformationParameter (const TypeInformationParameter &type)
| Copy constructor.
FASTDDS_EXPORTED_API | TypeInformationParameter (const eprosima::fastdds::dds::xtypes::TypeInformation &info)
| Constructor using a TypeInformation.
FASTDDS_EXPORTED_API | TypeInformationParameter (TypeInformationParameter &&type)
| Move Constructor.
FASTDDS_EXPORTED_API TypeInformationParameter & | operator= (const TypeInformationParameter &type)
FASTDDS_EXPORTED_API TypeInformationParameter & | operator= (TypeInformationParameter &&type)
virtual FASTDDS_EXPORTED_API | ~TypeInformationParameter () override=default
| Destructor.
void | clear () override
| Clears the QosPolicy object.
FASTDDS_EXPORTED_API bool | assigned () const
| Check if it is assigned.
FASTDDS_EXPORTED_API void | assigned (bool value)
| Setter for assigned boolean.
FASTDDS_EXPORTED_API TypeInformationParameter & | operator= (const TypeInformation &type_info)
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const
Public Member Functions inherited from QosPolicy
| QosPolicy ()
| Constructor without parameters.
| QosPolicy (bool send_always)
| Constructor.
| QosPolicy (const QosPolicy &b)=default
| Copy Constructor.
virtual | ~QosPolicy ()=default
| Destructor.
bool | operator== (const QosPolicy &b) const
QosPolicy & | operator= (const QosPolicy &b)=default
virtual bool | send_always () const
| Whether it should always be sent.

## Public Attributes

eprosima::fastdds::dds::xtypes::TypeInformation | type_information
| Type Information.
Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.
Public Attributes inherited from QosPolicy
bool | hasChanged
| Boolean that indicates if the Qos has been changed with respect to the default Qos.

## Additional Inherited Members

Protected Attributes inherited from QosPolicy
bool | send_always_
| Boolean that indicates if the Qos has to be sent even if it is not changed.

## Detailed Description

Class xtypes::TypeInformationParameter.

## Constructor & Destructor Documentation

## ◆ TypeInformationParameter() [1/4]

FASTDDS_EXPORTED_API TypeInformationParameter | ( |  | ) |

inline

Constructor.

## ◆ TypeInformationParameter() [2/4]

FASTDDS_EXPORTED_API TypeInformationParameter | ( | const TypeInformationParameter & | type | ) |

inline

Copy constructor.

Parameters

  type | Another instance of TypeInformationParameter

## ◆ TypeInformationParameter() [3/4]

FASTDDS_EXPORTED_API TypeInformationParameter | ( | const eprosima::fastdds::dds::xtypes::TypeInformation & | info | ) |

inline

Constructor using a TypeInformation.

Parameters

  info | TypeInformation to be set

## ◆ TypeInformationParameter() [4/4]

FASTDDS_EXPORTED_API TypeInformationParameter | ( | TypeInformationParameter && | type | ) |

inline

Move Constructor.

Parameters

  type | Another instance of TypeInformationParameter

## ◆ ~TypeInformationParameter()

virtual FASTDDS_EXPORTED_API ~TypeInformationParameter | ( |  | ) |

override virtual default

Destructor.

## Member Function Documentation

## ◆ assigned() [1/2]

FASTDDS_EXPORTED_API bool assigned | ( |  | ) | const

inline

Check if it is assigned.

Returns
  true if assigned, false if not

## ◆ assigned() [2/2]

FASTDDS_EXPORTED_API void assigned | ( | bool | value | ) |

inline

Setter for assigned boolean.

Parameters

  value | Boolean to be set

## ◆ clear()

void clear | ( |  | ) |

inline override virtual

Clears the QosPolicy object.

Implements QosPolicy.

## ◆ operator=() [1/3]

FASTDDS_EXPORTED_API TypeInformationParameter & operator= | ( | const TypeInformation & | type_info | ) |

inline

## ◆ operator=() [2/3]

FASTDDS_EXPORTED_API TypeInformationParameter & operator= | ( | const TypeInformationParameter & | type | ) |

inline

## ◆ operator=() [3/3]

FASTDDS_EXPORTED_API TypeInformationParameter & operator= | ( | TypeInformationParameter && | type | ) |

inline

## Member Data Documentation

## ◆ type_information

eprosima::fastdds::dds::xtypes::TypeInformation type_information

Type Information.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp